org.keycloak.models.cache.infinispan

## Class RealmCacheManager

- java.lang.Object
- - org.keycloak.models.cache.infinispan.CacheManager
  - - org.keycloak.models.cache.infinispan.RealmCacheManager

-     public class RealmCacheManager
      extends CacheManager

  Author:
    Stian Thorgersen

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.cache.infinispan.CacheManager

      `cache, counter, revisions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmCacheManager(org.infinispan.Cache<String,Revisioned> cache, org.infinispan.Cache<String,Long> revisions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addInvalidationsFromEvent(InvalidationEvent event, Set<String> invalidations)`
    `void` | `clientAdded(String realmId, String clientUUID, String clientId, Set<String> invalidations)`
    `void` | `clientRemoval(String realmId, String clientUUID, String clientId, Set<String> invalidations)`
    `void` | `clientScopeAdded(String realmId, Set<String> invalidations)`
    `void` | `clientScopeRemoval(String realmId, Set<String> invalidations)`
    `void` | `clientScopeUpdated(String realmId, Set<String> invalidations)`
    `void` | `clientUpdated(String realmId, String clientUuid, String clientId, Set<String> invalidations)`
    `protected org.jboss.logging.Logger` | `getLogger()`
    `void` | `groupQueriesInvalidations(String realmId, Set<String> invalidations)`
    `void` | `realmRemoval(String id, String name, Set<String> invalidations)`
    `void` | `realmUpdated(String id, String name, Set<String> invalidations)`
    `void` | `roleAdded(String roleContainerId, Set<String> invalidations)`
    `void` | `roleRemoval(String id, String roleName, String roleContainerId, Set<String> invalidations)`
    `void` | `roleUpdated(String roleContainerId, String roleName, Set<String> invalidations)`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.CacheManager

      `addInvalidations, addRevisioned, addRevisioned, bumpVersion, clear, endRevisionBatch, get, getCache, getCurrentCounter, getCurrentRevision, invalidateObject, invalidationEventReceived, sendInvalidationEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RealmCacheManager

          public RealmCacheManager(org.infinispan.Cache<String,Revisioned> cache,
                                   org.infinispan.Cache<String,Long> revisions)

  - ### Method Detail

    - #### getLogger

          protected org.jboss.logging.Logger getLogger()

      Specified by:
        `getLogger` in class `CacheManager`

    - #### realmUpdated

          public void realmUpdated(String id,
                                   String name,
                                   Set<String> invalidations)

    - #### realmRemoval

          public void realmRemoval(String id,
                                   String name,
                                   Set<String> invalidations)

    - #### roleAdded

          public void roleAdded(String roleContainerId,
                                Set<String> invalidations)

    - #### roleUpdated

          public void roleUpdated(String roleContainerId,
                                  String roleName,
                                  Set<String> invalidations)

    - #### roleRemoval

          public void roleRemoval(String id,
                                  String roleName,
                                  String roleContainerId,
                                  Set<String> invalidations)

    - #### clientScopeAdded

          public void clientScopeAdded(String realmId,
                                       Set<String> invalidations)

    - #### clientScopeUpdated

          public void clientScopeUpdated(String realmId,
                                         Set<String> invalidations)

    - #### clientScopeRemoval

          public void clientScopeRemoval(String realmId,
                                         Set<String> invalidations)

    - #### groupQueriesInvalidations

          public void groupQueriesInvalidations(String realmId,
                                                Set<String> invalidations)

    - #### clientAdded

          public void clientAdded(String realmId,
                                  String clientUUID,
                                  String clientId,
                                  Set<String> invalidations)

    - #### clientUpdated

          public void clientUpdated(String realmId,
                                    String clientUuid,
                                    String clientId,
                                    Set<String> invalidations)

    - #### clientRemoval

          public void clientRemoval(String realmId,
                                    String clientUUID,
                                    String clientId,
                                    Set<String> invalidations)

    - #### addInvalidationsFromEvent

          protected void addInvalidationsFromEvent(InvalidationEvent event,
                                                   Set<String> invalidations)

      Specified by:
        `addInvalidationsFromEvent` in class `CacheManager`

Copyright © 2021 JBoss by Red Hat. All rights reserved.